# Generated by Django 2.1.5 on 2019-01-24 11:36

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Preference',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('allow_capture', models.BooleanField(help_text='Does the user allow their lectures to be captured?')),
                ('request_hold', models.BooleanField(help_text='Does the user wish their lecture recordings to be held for editing?')),
                ('expressed_at', models.DateTimeField(help_text='When the user expressed this preference')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Creation time')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Last update time')),
                ('user', models.ForeignKey(help_text='User which expressed preference', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddIndex(
            model_name='preference',
            index=models.Index(fields=['user'], name='preferences_user_id_08fe0c_idx'),
        ),
        migrations.AddIndex(
            model_name='preference',
            index=models.Index(fields=['expressed_at'], name='preferences_express_06f913_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='preference',
            unique_together={('user', 'expressed_at')},
        ),
    ]
